Retrieve Available Phone Numbers
curl --request GET \
--url https://app.famulor.de/api/user/assistants/phone-numbers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/assistants/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/assistants/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/assistants/phone-numbers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/assistants/phone-numbers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}[
{
"id": 2103,
"phone_number": "+491748236179",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
},
{
"id": 2131,
"phone_number": "+4915792613301",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
}
]
[
{
"id": 2103,
"phone_number": "+491748236179",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
},
{
"id": 2131,
"phone_number": "+4915792613301",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
}
]
Retrieve Available Phone Numbers
Retrieve all available phone numbers for assistant assignment
GET
/
api
/
user
/
assistants
/
phone-numbers
Retrieve Available Phone Numbers
This endpoint returns a list of phone numbers belonging to the authenticated user that can be assigned to assistants, with optional filtering by assistant type.
Query Parameters
string
Filter phone numbers by assistant type. Options:
inbound, outboundResponse Fields
The API returns a direct array of available phone numbers:array
Array of available phone numbers
Show Phone Number Properties
Show Phone Number Properties
Notes
- Only phone numbers belonging to the authenticated user are returned
- When
type=inboundis specified, caller ID numbers and already assigned numbers are filtered out - The
is_availablefield indicates if the number can be assigned to a new inbound assistant - Phone numbers are returned in a values collection format (indexed array)
- Use the
idfield when assigning phone numbers to assistants
[
{
"id": 2103,
"phone_number": "+491748236179",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
},
{
"id": 2131,
"phone_number": "+4915792613301",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
}
]
[
{
"id": 2103,
"phone_number": "+491748236179",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
},
{
"id": 2131,
"phone_number": "+4915792613301",
"country_code": "DE",
"type_label": "Caller ID",
"is_available": true
}
]
Related pages: Introduction and Authentication Guide, and API Integration Examples.
⌘I